XMLComponentManager (Xerces Native Interface)
Keywords: org.apache.xerces.xni.parser.XMLComponentManager interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xni.parser
Interface XMLComponentManager

All Known Subinterfaces:
  XMLParserConfiguration, XMLPullParserConfiguration

    public interface XMLComponentManager

The component manager manages a parser configuration and the components that make up that configuration. The manager notifies each component before parsing to allow the components to initialize their state; and also any time that a parser feature or property changes.

The methods of the component manager allow components to query features and properties that affect the operation of the component.

Version:
  $Id: XMLComponentManager.java 447244 2006-09-18 05:20:40Z mrglavas $
Author:
  Andy Clark, IBM
See Also:
  `XMLComponent`

Method Summary
`boolean` | `getFeature(java.lang.String featureId)` Returns the state of a feature.
`java.lang.Object` | `getProperty(java.lang.String propertyId)` Returns the value of a property.

Method Detail

### getFeature

    boolean getFeature(java.lang.String featureId)
                       throws XMLConfigurationException

  Returns the state of a feature.

  Parameters:
    `featureId` - The feature identifier.
  Throws:
    `XMLConfigurationException` - Thrown on configuration error.

### getProperty

    java.lang.Object getProperty(java.lang.String propertyId)
                                 throws XMLConfigurationException

  Returns the value of a property.

  Parameters:
    `propertyId` - The property identifier.
  Throws:
    `XMLConfigurationException` - Thrown on configuration error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.